import org.switchboard.*;
 
Switchboard board;
int i = 0;
boolean recieved = false;
String searcher = "";
PFont font;
String[] results;

 
void setup() {
 
  size(500, 700);
  frameRate(10);
  results = new String[10];
  font = loadFont("Arial-Black-24.vlw");
  
  // The switchboard will be our interface to all of the services.
  board = new Switchboard(this);
}
 
// this method will be called whenever we get a result from any of our services.
void resultReceived() {
  results[i] = board.yahooWeb.getTitle();
  recieved = true;
  //println(results);
  i++;
}
 
 
void draw() {
  background (0);
  textFont(font, 20);
  text(searcher, 0, 30);
  int xpos = 0;
  int ypos = 60;
  
  if(recieved) {
    for(int j=0; j < i; j++) {
      text(results[j], 0, ypos);
      ypos += 30;
    }
  }  
}

void keyPressed() {
  if (key == BACKSPACE) { // Backspace
    if (searcher.length() > 0) {
      searcher = searcher.substring(0, searcher.length()-1);
    }
  } else if(key == ENTER) {
    
    recieved = false;
    i = 0;
    //board.setAmazonKey("172ET2J2CA2W3AFF4KG2");
    board.setYahooKey("0FHEfYLV34GgIfMzueOSeIGNBnBDv37A3qqJHSylNWX048pSdndMZIH9cf2wNkYDFw--");
    board.yahooWeb(searcher);
    println("searching...");
  
  }else if (textWidth(searcher+key) < width){
    searcher = searcher+key;
  }
}
